For the latest news and information visit The GNU Crypto project

## javax.crypto
Interface SecretKey

All Superinterfaces:
  java.security.Key, java.io.Serializable

All Known Subinterfaces:
  PBEKey

All Known Implementing Classes:
  SecretKeySpec

public interface SecretKey
extends java.security.Key

A secret (symmetric) key.

This interface contains no methods or constants. Its only purpose is to group (and provide type safety for) secret keys.

Provider implementations of this interface must overwrite the `equals` and `hashCode` methods inherited from `java.lang.Object`, so that secret keys are compared based on their underlying key material and not based on reference.

Keys that implement this interface return the string `RAW` as their encoding format (see `getFormat`), and return the raw key bytes as the result of a `getEncoded` method call. (The `getFormat` and `getEncoded` methods are inherited from the `java.security.Key` parent interface.)

See Also:
  `SecretKeyFactory`, `Cipher`

Field Summary

Fields inherited from interface java.security.Key
`serialVersionUID`

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.